summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Marcel Saegebarth <marc@mos6581.de>2015-02-07 04:48:37 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-02-07 04:59:40 +0700
commit2fd93fc301475d1c25b0c9365d640ba2301b1c38 (patch)
tree905001e7ec0f3dba8775859b63473596afa07572 /desktop
parent69ab7876c0b628ac7043dd97a1bc5e4a0ee86b06 (diff)
downloadslackbuilds-2fd93fc301475d1c25b0c9365d640ba2301b1c38.tar.gz
slackbuilds-2fd93fc301475d1c25b0c9365d640ba2301b1c38.tar.xz
desktop/seafile-gui: Added (Seafile Desktop Client).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/seafile-gui/README12
-rw-r--r--desktop/seafile-gui/doinst.sh9
-rw-r--r--desktop/seafile-gui/seafile-gui.SlackBuild94
-rw-r--r--desktop/seafile-gui/seafile-gui.info10
-rw-r--r--desktop/seafile-gui/slack-desc19
5 files changed, 144 insertions, 0 deletions
diff --git a/desktop/seafile-gui/README b/desktop/seafile-gui/README
new file mode 100644
index 0000000000..94ced6564e
--- /dev/null
+++ b/desktop/seafile-gui/README
@@ -0,0 +1,12 @@
+Graphical desktop client for the Seafile next-generation open
+source cloud storage system with advanced support for file syncing,
+privacy protection and teamwork.
+
+Collections of files are called libraries, and each library can be
+synced separately. A library can be encrypted with a user chosen
+password. This password is not stored on the server, so even the
+server admin cannot view a file's contents.
+
+Seafile allows users to create groups with file syncing, wiki, and
+discussion to enable easy collaboration around documents within a
+team.
diff --git a/desktop/seafile-gui/doinst.sh b/desktop/seafile-gui/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/desktop/seafile-gui/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/seafile-gui/seafile-gui.SlackBuild b/desktop/seafile-gui/seafile-gui.SlackBuild
new file mode 100644
index 0000000000..b1051f4297
--- /dev/null
+++ b/desktop/seafile-gui/seafile-gui.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Slackware build script for "seafile-client".
+
+# Copyright 2015 Marcel Saegebarth <marc@mos6581.de>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=seafile-gui
+SRCNAM=seafile-client
+VERSION=${VERSION:-4.0.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/v$VERSION.tar.gz || tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release .
+make
+make install/strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/seafile-gui/seafile-gui.info b/desktop/seafile-gui/seafile-gui.info
new file mode 100644
index 0000000000..0ddb2dbb40
--- /dev/null
+++ b/desktop/seafile-gui/seafile-gui.info
@@ -0,0 +1,10 @@
+PRGNAM="seafile-gui"
+VERSION="4.0.5"
+HOMEPAGE="http://seafile.com/"
+DOWNLOAD="https://github.com/haiwen/seafile-client/archive/v4.0.5.tar.gz"
+MD5SUM="a4d524b6a17c3ca7a724e104216963de"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="seafile-client"
+MAINTAINER="Marcel Saegebarth"
+EMAIL="marc@mos6581.de"
diff --git a/desktop/seafile-gui/slack-desc b/desktop/seafile-gui/slack-desc
new file mode 100644
index 0000000000..4de44d8853
--- /dev/null
+++ b/desktop/seafile-gui/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+seafile-gui: seafile-gui (Seafile Desktop Client)
+seafile-gui:
+seafile-gui: Graphical desktop client for the Seafile next-generation open
+seafile-gui: source cloud storage system with advanced support for file syncing,
+seafile-gui: privacy protection and teamwork.
+seafile-gui:
+seafile-gui: Homepage: http://seafile.com/
+seafile-gui:
+seafile-gui:
+seafile-gui:
+seafile-gui: